commit:     613264bed4ff1ece60634ec9a4f214bd2537bb59
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May  4 02:17:36 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May  4 03:06:11 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=613264be

dev-python/asyncssh: Bump to 2.21.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/asyncssh/Manifest               |  1 +
 dev-python/asyncssh/asyncssh-2.21.0.ebuild | 54 ++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/asyncssh/Manifest b/dev-python/asyncssh/Manifest
index 6c1d307488a4..734aad5422d9 100644
--- a/dev-python/asyncssh/Manifest
+++ b/dev-python/asyncssh/Manifest
@@ -1 +1,2 @@
 DIST asyncssh-2.20.0.tar.gz 534719 BLAKE2B 
8445a9c5439449f18231ab3f04c70eb3110781f2c6d20f839bee145c4a34ed9c4f96eb70fdeace2600576837211e0f7ed22a158f0fea7ca2f43309e4f6da9f80
 SHA512 
76874efc614290433f200ef8cbb74fbc4e9d2119643a93e6faad95f6595b61c55ed2eb8296c6a1419630f75cda01efb680f25df83018ece06f685ac097031b7e
+DIST asyncssh-2.21.0.tar.gz 539740 BLAKE2B 
49032b7139dd451d0cd96d0b25dbe06f21f52813f1e2142c93af3460003fbe25a93b5a1b4a0fdff99c16f5dd085e7264605319013b6a5cd8cf2d02bc7801dead
 SHA512 
d634e0f731721a430d7b77cf07fc853edf78657bfbda9c49bb17379e0d57c65bec5ff116512c3b542dfdf8ec2aef44342eb4a8028d5513aab8cbe0c3921bda3e

diff --git a/dev-python/asyncssh/asyncssh-2.21.0.ebuild 
b/dev-python/asyncssh/asyncssh-2.21.0.ebuild
new file mode 100644
index 000000000000..94037050e2d0
--- /dev/null
+++ b/dev-python/asyncssh/asyncssh-2.21.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Asynchronous SSHv2 client and server library"
+HOMEPAGE="
+       https://github.com/ronf/asyncssh
+       https://pypi.org/project/asyncssh/
+"
+
+LICENSE="|| ( EPL-2.0 GPL-2+ )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+RDEPEND="
+       virtual/openssh
+       >=dev-python/cryptography-39.0[${PYTHON_USEDEP}]
+       >=dev-python/typing-extensions-4.0.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       test? (
+               dev-python/aiofiles[${PYTHON_USEDEP}]
+               >=dev-python/bcrypt-3.1.3[${PYTHON_USEDEP}]
+               >=dev-python/fido2-0.9.2[${PYTHON_USEDEP}]
+               >=dev-python/gssapi-1.2.0[${PYTHON_USEDEP}]
+               >=dev-python/libnacl-1.4.2[${PYTHON_USEDEP}]
+               >=dev-python/pyopenssl-23.0.0[${PYTHON_USEDEP}]
+               dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -p rerunfailures --reruns=5
+}
+
+pkg_postinst() {
+       optfeature "OpenSSH private key encryption support" 
">=dev-python/bcrypt-3.1.3"
+       optfeature "key exchange and authentication with U2F/FIDO2 security 
keys support" ">=dev-python/fido2-0.9.2"
+       optfeature "GSSAPI key exchange and authentication support" 
">=dev-python/gssapi-1.2.0"
+       optfeature "using asyncssh with dev-libs/libsodium" "dev-python/libnacl"
+       optfeature "X.509 certificate authentication support" 
">=dev-python/pyopenssl-23.0.0"
+}

Reply via email to